Name:           MySQL-zrm
Version:        3.0
Release:        6%{?dist}.2
Summary:        MySQL backup manager

Group:          Applications/System
License:        GPLv2
URL:            http://www.zmanda.com/backup-mysql.html
Source0:        http://www.zmanda.com/downloads/community/ZRM-MySQL/3.0/Source/MySQL-zrm-%{version}-release.tar.gz
Patch0:         MySQL-zrm-disable-xinetd-service.patch
# Really make --quiet quiet
Patch1:         MySQL-zrm-quiet.patch
# Abort if out of space on restore
# https://forums.zmanda.com/showthread.php?5347-mysql-zrm-restore-does-not-check-for-running-out-of-disk-space&p=17076#post17076
Patch2:         MySQL-zrm-tmpwrite.patch
# Enable exclude-pattern with logical backups
# https://forums.zmanda.com/showthread.php?5371-Support-exclude-patter-for-logical-backups-exclude-information_schema
Patch3:         MySQL-zrm-exclude.patch
# Do not fail if mysqldump emits warnings
# https://forums.zmanda.com/showthread.php?5102-How-to-report-bugs
Patch4:         MySQL-zrm-mysqldump-warnings.patch
# Do not use --same-order with -c
# https://bugzilla.redhat.com/show_bug.cgi?id=1458038
Patch5:         MySQL-zrm-taropt.patch
# Check exit status of all commands in pipes
# https://bugzilla.redhat.com/show_bug.cgi?id=1151623
Patch6:         MySQL-zrm-pipestatus.patch
# Remove duplicate command logging
Patch7:         MySQL-zrm-command-log.patch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

Requires:       xinetd
Requires:       logrotate
Requires:       mailx
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(DBI)
Requires:       perl(XML::Parser)
Requires:       perl(Data::Report) >= 0.05 
Requires:       perl(Data::Report::Plugin::Html) 
Requires:       perl(Data::Report::Plugin::Text) 

%description
Easy-to-use yet flexible and robust backup and recovery solution for MySQL 
server.

%prep
%setup -q -c
# Cannot do backups, they get installed
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
# FIx permissions
find -name \*.pm -o -name \*.smf | xargs chmod -x
# Fix FSF address
find -type f | xargs sed -i \
  -e 's/59 Temple Place/51 Franklin Street/' -e 's/Suite 330/Fifth Floor/' \
  -e 's/MA  02111-1307/MA  02110-1301/'


%build
# we should use modules from repo
rm -rf usr/lib/mysql-zrm/Data
rm -rf usr/lib/mysql-zrm/XML

# get rid of zero-length files
rm -rf var/log/mysql-zrm/*

%install
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_mandir}/man{1,5}
mkdir -p %{buildroot}%{_sharedstatedir}
mkdir -p %{buildroot}%{_var}/log
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/mysql-zrm

# install ourselves in correct locations
cp -rp usr/lib/mysql-zrm/ZRM                    %{buildroot}/%{perl_vendorlib}
cp -rp usr/share/man/man1/*                     %{buildroot}/%{_mandir}/man1/
cp -rp usr/share/man/man5/*                     %{buildroot}/%{_mandir}/man5/
cp -rp var/lib/*                                %{buildroot}/%{_sharedstatedir}
cp -rp var/log/*                                %{buildroot}/%{_var}/log/
cp -rp usr/share/*                              %{buildroot}/%{_datadir}/
cp -rp usr/bin/*                                %{buildroot}/%{_bindir}/
cp -rp etc/mysql-zrm                            %{buildroot}/%{_sysconfdir}/
cp -rp etc/xinetd.d/mysql-zrm-socket-server     %{buildroot}/%{_sysconfdir}/xinetd.d/
# name logrotate job as package name
cp -rp etc/logrotate.d/mysql-zrm                %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

# This will store passwords, restrict permissions
chmod 640 %{buildroot}%{_sysconfdir}/mysql-zrm/mysql-zrm.conf


%clean
rm -rf %{buildroot}


%files
%attr(-,mysql,mysql) %dir %{_var}/log/mysql-zrm
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/mysql-zrm/
%{_sharedstatedir}/mysql-zrm/
%{_datadir}/mysql-zrm/
%attr(0755,root,root) %{_bindir}/*
%{perl_vendorlib}/ZRM
%{_docdir}/%{name}-%{version}/
%{_mandir}/man1/*
%{_mandir}/man5/*

%config(noreplace) %{_sysconfdir}/xinetd.d/mysql-zrm-socket-server
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/mysql-zrm/*

%changelog
* Fri Sep 22 2017 Orion Poplawski <orion@cora.nwra.com> - 3.0-6.2
- Fix logging of backup command

* Thu Jun 15 2017 Orion Poplawski <orion@cora.nwra.com> - 3.0-6.1
- Check exit status of all commands in pipes (bug #1151623)
- Do not use --same-order with -c for tar (bug #1458038)

* Fri Jul 25 2014 Orion Poplawski <orion@cora.nwra.com> - 3.0-6
- Add patch to prevent error exit codes with mysqldump output

* Tue Jul 22 2014 Orion Poplawski <orion@cora.nwra.com> - 3.0-5
- Add requires mailx
- Fix file ownership
- Fix FSF address
- Rebase queit patch

* Thu Apr 3 2014 Orion Poplawski <orion@cora.nwra.com> - 3.0-3
- Add patch to enable exclude-pattern with logical backups

* Wed Mar 19 2014 Orion Poplawski <orion@cora.nwra.com> - 3.0-2
- Abort if out of space on restore

* Tue Mar 18 2014 Orion Poplawski <orion@cora.nwra.com> - 3.0-1
- Update to 3.0

* Sun Dec 4 2011 Orion Poplawski <orion@cora.nwra.com> - 2.2.0-3
- Update quiet patch to fix bug 759854
- Restrict permissions on mysql-zrm.conf

* Wed Nov 9 2011 Orion Poplawski <orion@cora.nwra.com> - 2.2.0-2
- Add quiet patch to silence output with --quiet

* Wed Sep 15 2010 Michal Ingeli <mi@v3.sk> - 2.2.0-1
- Upgrade to 2.2.0 (bz#633912)

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.1.1-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.1.1-6
- rebuild against perl 5.10.1

* Mon Oct 12 2009 <mi@v3.sk> - 2.1.1-5
- replaced _datarootdir for _datadir

* Fri Oct 9 2009 <mi@v3.sk> - 2.1.1-4
- Removed uneeded dependencies
- Replaced /var/lib with macro

* Fri Oct 9 2009 <mi@v3.sk> - 2.1.1-3
- Removed repeated file attr-s
- Disabled mysql-zrm-socket-server by default
- Changed owner of our /var/log/* to mysql:mysql
- Corrected documentation handling

* Wed Oct 7 2009 <mi@v3.sk> - 2.1.1-2
- corrected license
- minnor changes

* Fri Oct 2 2009 <mi@v3.sk> - 2.1.1-1
- Initial packaging
